Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolume16Reader Class Reference

`#include <vtkVolume16Reader.h>`

Inheritance diagram for vtkVolume16Reader:

[legend]
Collaboration diagram for vtkVolume16Reader:

[legend]
List of all members.

## Detailed Description

read 16 bit image files

Date:
  2002/06/19 18:36:11

Revision:
  1.42

vtkVolume16Reader is a source object that reads 16 bit image files.

Volume16Reader creates structured point datasets. The dimension of the dataset depends upon the number of files read. Reading a single file results in a 2D image, while reading more than one file results in a 3D volume.

File names are created using FilePattern and FilePrefix as follows: sprintf (filename, FilePattern, FilePrefix, number); where number is in the range ImageRange[0] to ImageRange[1]. If ImageRange[1] <= ImageRange[0], then slice number ImageRange[0] is read. Thus to read an image set ImageRange[0] = ImageRange[1] = slice number. The default behavior is to read a single file (i.e., image slice 1).

The DataMask instance variable is used to read data files with imbedded connectivity or segmentation information. For example, some data has the high order bit set to indicate connected surface. The DataMask allows you to select this data. Other important ivars include HeaderSize, which allows you to skip over initial info, and SwapBytes, which turns on/off byte swapping.

The Transform instance variable specifies a permutation transformation to map slice space into world space. vtkImageReader has replaced the functionality of this class and should be used instead.

See also:
  vtkSliceCubes vtkMarchingCubes vtkImageReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (41%)
  - Lorensen, Bill (32%)
  - Martin, Ken (17%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkVolume16Reader.cxx)`
  - .`h` (`/IO/vtkVolume16Reader.h)`

Examples:
  vtkVolume16Reader (Examples)

Tests:
  vtkVolume16Reader (Tests)

Definition at line 81 of file vtkVolume16Reader.h.

## Public Types
typedef vtkVolumeReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageData * | GetImage (int ImageNumber)
virtual void | SetDataDimensions (int, int)
void | SetDataDimensions (int[2])
virtual int * | GetDataDimensions ()
virtual void | GetDataDimensions (int data[2])
virtual void | SetDataMask (unsigned short)
virtual unsigned short | GetDataMask ()
virtual void | SetHeaderSize (int)
virtual int | GetHeaderSize ()
void | SetDataByteOrderToBigEndian ()
void | SetDataByteOrderToLittleEndian ()
int | GetDataByteOrder ()
void | SetDataByteOrder (int)
const char * | GetDataByteOrderAsString ()
virtual void | SetSwapBytes (int)
virtual int | GetSwapBytes ()
virtual void | SwapBytesOn ()
virtual void | SwapBytesOff ()
virtual void | SetTransform (vtkTransform *)
virtual vtkTransform * | GetTransform ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolume16Reader * | SafeDownCast (vtkObject *o)
vtkVolume16Reader * | New ()
## Protected Methods
| vtkVolume16Reader ()
| ~vtkVolume16Reader ()
virtual void | ExecuteData (vtkDataObject *)
virtual void | ExecuteInformation ()
void | TransformSlice (unsigned short *slice, unsigned short *pixels, int k, int dimensions[3], int bounds[3])
void | ComputeTransformedDimensions (int dimensions[3])
void | ComputeTransformedBounds (int bounds[6])
void | ComputeTransformedSpacing (float Spacing[3])
void | ComputeTransformedOrigin (float origin[3])
void | AdjustSpacingAndOrigin (int dimensions[3], float Spacing[3], float origin[3])
void | ReadImage (int ImageNumber, vtkUnsignedShortArray *)
void | ReadVolume (int FirstImage, int LastImage, vtkUnsignedShortArray *)
int | Read16BitImage (FILE *fp, unsigned short *pixels, int xsize, int ysize, int skip, int swapBytes)
## Protected Attributes
int | DataDimensions [2]
unsigned short | DataMask
int | SwapBytes
int | HeaderSize
vtkTransform * | Transform

## Member Typedef Documentation

typedef vtkVolumeReader vtkVolume16Reader::Superclass

| Reimplemented from vtkVolumeReader. Definition at line 84 of file vtkVolume16Reader.h.

## Constructor & Destructor Documentation

vtkVolume16Reader::vtkVolume16Reader | ( |  | ) | `[protected]`

vtkVolume16Reader::~vtkVolume16Reader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolume16Reader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeReader.

int vtkVolume16Reader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeReader.

virtual int vtkVolume16Reader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeReader.

vtkVolume16Reader* vtkVolume16Reader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeReader.

void vtkVolume16Reader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeReader.

vtkVolume16Reader* vtkVolume16Reader::New | ( |  | ) | `[static]`

| Construct object with NULL file prefix; file pattern "s.d"; image range set to (1,1); data origin (0,0,0); data spacing (1,1,1); no data mask; header size 0; and byte swapping turned off. Reimplemented from vtkObject.

virtual void vtkVolume16Reader::SetDataDimensions | ( | int | ,
|  | int |
| ) | `[virtual]`

| Specify the dimensions for the data.

void vtkVolume16Reader::SetDataDimensions | ( | int | [2] | ) |

| Specify the dimensions for the data.

virtual int* vtkVolume16Reader::GetDataDimensions | ( |  | ) | `[virtual]`

| Specify the dimensions for the data.

virtual void vtkVolume16Reader::GetDataDimensions | ( | int | data[2] | ) | `[virtual]`

| Specify the dimensions for the data.

virtual void vtkVolume16Reader::SetDataMask | ( | unsigned | short | ) | `[virtual]`

| Specify a mask used to eliminate data in the data file (e.g., connectivity bits).

virtual unsigned short vtkVolume16Reader::GetDataMask | ( |  | ) | `[virtual]`

| Specify a mask used to eliminate data in the data file (e.g., connectivity bits).

virtual void vtkVolume16Reader::SetHeaderSize | ( | int |  | ) | `[virtual]`

| Specify the number of bytes to seek over at start of image.

virtual int vtkVolume16Reader::GetHeaderSize | ( |  | ) | `[virtual]`

| Specify the number of bytes to seek over at start of image.

void vtkVolume16Reader::SetDataByteOrderToBigEndian | ( |  | ) |

| These methods should be used instead of the SwapBytes methods. They indicate the byte ordering of the file you are trying to read in. These methods will then either swap or not swap the bytes depending on the byte ordering of the machine it is being run on. For example, reading in a BigEndian file on a BigEndian machine will result in no swapping. Trying to read the same file on a LittleEndian machine will result in swapping. As a quick note most UNIX machines are BigEndian while PC's and VAX tend to be LittleEndian. So if the file you are reading in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise SetDataByteOrderToBigEndian.

void vtkVolume16Reader::SetDataByteOrderToLittleEndian | ( |  | ) |

| These methods should be used instead of the SwapBytes methods. They indicate the byte ordering of the file you are trying to read in. These methods will then either swap or not swap the bytes depending on the byte ordering of the machine it is being run on. For example, reading in a BigEndian file on a BigEndian machine will result in no swapping. Trying to read the same file on a LittleEndian machine will result in swapping. As a quick note most UNIX machines are BigEndian while PC's and VAX tend to be LittleEndian. So if the file you are reading in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise SetDataByteOrderToBigEndian.

int vtkVolume16Reader::GetDataByteOrder | ( |  | ) |

| These methods should be used instead of the SwapBytes methods. They indicate the byte ordering of the file you are trying to read in. These methods will then either swap or not swap the bytes depending on the byte ordering of the machine it is being run on. For example, reading in a BigEndian file on a BigEndian machine will result in no swapping. Trying to read the same file on a LittleEndian machine will result in swapping. As a quick note most UNIX machines are BigEndian while PC's and VAX tend to be LittleEndian. So if the file you are reading in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise SetDataByteOrderToBigEndian.

void vtkVolume16Reader::SetDataByteOrder | ( | int |  | ) |

| These methods should be used instead of the SwapBytes methods. They indicate the byte ordering of the file you are trying to read in. These methods will then either swap or not swap the bytes depending on the byte ordering of the machine it is being run on. For example, reading in a BigEndian file on a BigEndian machine will result in no swapping. Trying to read the same file on a LittleEndian machine will result in swapping. As a quick note most UNIX machines are BigEndian while PC's and VAX tend to be LittleEndian. So if the file you are reading in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise SetDataByteOrderToBigEndian.

const char* vtkVolume16Reader::GetDataByteOrderAsString | ( |  | ) |

| These methods should be used instead of the SwapBytes methods. They indicate the byte ordering of the file you are trying to read in. These methods will then either swap or not swap the bytes depending on the byte ordering of the machine it is being run on. For example, reading in a BigEndian file on a BigEndian machine will result in no swapping. Trying to read the same file on a LittleEndian machine will result in swapping. As a quick note most UNIX machines are BigEndian while PC's and VAX tend to be LittleEndian. So if the file you are reading in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise SetDataByteOrderToBigEndian.

virtual void vtkVolume16Reader::SetSwapBytes | ( | int |  | ) | `[virtual]`

| Turn on/off byte swapping.

virtual int vtkVolume16Reader::GetSwapBytes | ( |  | ) | `[virtual]`

| Turn on/off byte swapping.

virtual void vtkVolume16Reader::SwapBytesOn | ( |  | ) | `[virtual]`

| Turn on/off byte swapping.

virtual void vtkVolume16Reader::SwapBytesOff | ( |  | ) | `[virtual]`

| Turn on/off byte swapping.

virtual void vtkVolume16Reader::SetTransform | ( | vtkTransform * |  | ) | `[virtual]`

| Set/Get transformation matrix to transform the data from slice space into world space. This matrix must be a permutation matrix. To qualify, the sums of the rows must be + or - 1.

virtual vtkTransform* vtkVolume16Reader::GetTransform | ( |  | ) | `[virtual]`

| Set/Get transformation matrix to transform the data from slice space into world space. This matrix must be a permutation matrix. To qualify, the sums of the rows must be + or - 1.

vtkImageData* vtkVolume16Reader::GetImage | ( | int | ImageNumber | ) | `[virtual]`

| Other objects make use of these methods Implements vtkVolumeReader.

virtual void vtkVolume16Reader::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

virtual void vtkVolume16Reader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkVolume16Reader::TransformSlice | ( | unsigned short * | slice,
|  | unsigned short * | pixels,
|  | int | k,
|  | int | dimensions[3],
|  | int | bounds[3]
| ) | `[protected]`

void vtkVolume16Reader::ComputeTransformedDimensions | ( | int | dimensions[3] | ) | `[protected]`

void vtkVolume16Reader::ComputeTransformedBounds | ( | int | bounds[6] | ) | `[protected]`

void vtkVolume16Reader::ComputeTransformedSpacing | ( | float | Spacing[3] | ) | `[protected]`

void vtkVolume16Reader::ComputeTransformedOrigin | ( | float | origin[3] | ) | `[protected]`

void vtkVolume16Reader::AdjustSpacingAndOrigin | ( | int | dimensions[3],
|  | float | Spacing[3],
|  | float | origin[3]
| ) | `[protected]`

void vtkVolume16Reader::ReadImage | ( | int | ImageNumber,
|  | vtkUnsignedShortArray * |
| ) | `[protected]`

void vtkVolume16Reader::ReadVolume | ( | int | FirstImage,
|  | int | LastImage,
|  | vtkUnsignedShortArray * |
| ) | `[protected]`

int vtkVolume16Reader::Read16BitImage | ( | FILE * | fp,
|  | unsigned short * | pixels,
|  | int | xsize,
|  | int | ysize,
|  | int | skip,
|  | int | swapBytes
| ) | `[protected]`

## Member Data Documentation

int vtkVolume16Reader::DataDimensions[2]`[protected]`

| Definition at line 153 of file vtkVolume16Reader.h.

unsigned short vtkVolume16Reader::DataMask`[protected]`

| Definition at line 154 of file vtkVolume16Reader.h.

int vtkVolume16Reader::SwapBytes`[protected]`

| Definition at line 155 of file vtkVolume16Reader.h.

int vtkVolume16Reader::HeaderSize`[protected]`

| Definition at line 156 of file vtkVolume16Reader.h.

vtkTransform* vtkVolume16Reader::Transform`[protected]`

| Definition at line 157 of file vtkVolume16Reader.h.

The documentation for this class was generated from the following file:

- IO/vtkVolume16Reader.h